### Method

# WebKit2WebExtension DOMDocumentFragment get_element_by_id

#### Declaration [src]

    WebKitDOMElement*
    webkit_dom_document_fragment_get_element_by_id (
      WebKitDOMDocumentFragment* self,
      const gchar* elementId
    )

#### Description

No description available.

Available since: | 2.16
Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`elementId` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `WebKitDOMElement`
| A `WebKitDOMElement`.
| The data is owned by the instance.